/*
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

#pragma once

#include "DataProvider.h"
#include <vector>

namespace mirai
{

class Task;
class Event;

class Day
{

  public:
	Day(DataProvider *data, DayData day) : data_(data), dayData_(day) {};

	Date date() const;
	std::vector<Task> tasks();
	std::vector<Event> events();

	void mergeDay(const Day &otherDay);

	int id() const;
	int sourceId() const;

  private:
	DayData dayData_;
	DataProvider *data_;
};

} // namespace mirai
